tests/test_multiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1950468 kB, VmSize: 1950468 kB, VmRSS: 314368 kB, VmData: 402424 kB, Mmaps: 1729, Mmaps: 1950472 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1951516 kB, VmSize: 1951516 kB, VmRSS: 315392 kB, VmData: 403472 kB, Mmaps: 1729, Mmaps: 1951520 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1951516 kB, VmSize: 1951020 kB, VmRSS: 315416 kB, VmData: 403216 kB, Mmaps: 1716, Mmaps: 1951024 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072500000000009
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.16; loadPixelBoxStartUserTime=1.806788; loadPixelBoxStartSystemTime=0.369321; loadPixelBoxStartMaxResidentSetSize=315656; loadPixelBoxStartMinorPageFaults=89662; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=128; loadPixelBoxStartBlockOutputs=568; loadPixelBoxStartVoluntaryContextSwitches=81; loadPixelBoxStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.16; loadSkyCircleStartUserTime=1.807377; loadSkyCircleStartSystemTime=0.369321; loadSkyCircleStartMaxResidentSetSize=315656; loadSkyCircleStartMinorPageFaults=89672; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=128; loadSkyCircleStartBlockOutputs=576; loadSkyCircleStartVoluntaryContextSwitches=81; loadSkyCircleStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.16; _readIndexFilesStartUserTime=1.807706; _readIndexFilesStartSystemTime=0.369321; _readIndexFilesStartMaxResidentSetSize=315656; _readIndexFilesStartMinorPageFaults=89672; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=576; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.16; _readIndexFilesEndUserTime=1.807866; _readIndexFilesEndSystemTime=0.369338; _readIndexFilesEndMaxResidentSetSize=315656; _readIndexFilesEndMinorPageFaults=89674; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=576; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.17; loadSkyCircleEndUserTime=1.810527; loadSkyCircleEndSystemTime=0.369338; loadSkyCircleEndMaxResidentSetSize=315656; loadSkyCircleEndMinorPageFaults=89940; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=128; loadSkyCircleEndBlockOutputs=576; loadSkyCircleEndVoluntaryContextSwitches=81; loadSkyCircleEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.17; loadPixelBoxEndUserTime=1.816821; loadPixelBoxEndSystemTime=0.369338; loadPixelBoxEndMaxResidentSetSize=315656; loadPixelBoxEndMinorPageFaults=89972; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=128; loadPixelBoxEndBlockOutputs=576; loadPixelBoxEndVoluntaryContextSwitches=81; loadPixelBoxEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+3/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/26588/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+3/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/26588/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.54; _readIndexFilesStartUserTime=2.167396; _readIndexFilesStartSystemTime=0.38048899999999997; _readIndexFilesStartMaxResidentSetSize=318196; _readIndexFilesStartMinorPageFaults=94071; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=584; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.55; _readIndexFilesEndUserTime=2.171888; _readIndexFilesEndSystemTime=0.38057799999999997; _readIndexFilesEndMaxResidentSetSize=318208; _readIndexFilesEndMinorPageFaults=94079; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=584; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1953676 kB, VmSize: 1953676 kB, VmRSS: 318208 kB, VmData: 405500 kB, Mmaps: 1734, Mmaps: 1953680 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1953676 kB, VmSize: 1953420 kB, VmRSS: 318200 kB, VmData: 405244 kB, Mmaps: 1734, Mmaps: 1953424 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1953676 kB, VmSize: 1953304 kB, VmRSS: 318240 kB, VmData: 405500 kB, Mmaps: 1716, Mmaps: 1953308 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00066699999999953
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.57; loadPixelBoxStartUserTime=2.196388; loadPixelBoxStartSystemTime=0.384492; loadPixelBoxStartMaxResidentSetSize=318348; loadPixelBoxStartMinorPageFaults=94230; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=128; loadPixelBoxStartBlockOutputs=592; loadPixelBoxStartVoluntaryContextSwitches=81; loadPixelBoxStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.57; loadSkyCircleStartUserTime=2.196822; loadSkyCircleStartSystemTime=0.38456799999999997; loadSkyCircleStartMaxResidentSetSize=318348; loadSkyCircleStartMinorPageFaults=94230; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=128; loadSkyCircleStartBlockOutputs=592; loadSkyCircleStartVoluntaryContextSwitches=81; loadSkyCircleStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.57; _readIndexFilesStartUserTime=2.197172; _readIndexFilesStartSystemTime=0.38456799999999997; _readIndexFilesStartMaxResidentSetSize=318348; _readIndexFilesStartMinorPageFaults=94230; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=592; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.57; _readIndexFilesEndUserTime=2.197355; _readIndexFilesEndSystemTime=0.38456799999999997; _readIndexFilesEndMaxResidentSetSize=318348; _readIndexFilesEndMinorPageFaults=94230; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=600; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.58; loadSkyCircleEndUserTime=2.200602; loadSkyCircleEndSystemTime=0.385528; loadSkyCircleEndMaxResidentSetSize=318348; loadSkyCircleEndMinorPageFaults=94463; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=128; loadSkyCircleEndBlockOutputs=600; loadSkyCircleEndVoluntaryContextSwitches=81; loadSkyCircleEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.58; loadPixelBoxEndUserTime=2.206809; loadPixelBoxEndSystemTime=0.385569; loadPixelBoxEndMaxResidentSetSize=318348; loadPixelBoxEndMinorPageFaults=94463; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=128; loadPixelBoxEndBlockOutputs=600; loadPixelBoxEndVoluntaryContextSwitches=81; loadPixelBoxEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.94; _readIndexFilesStartUserTime=2.552724; _readIndexFilesStartSystemTime=0.39272599999999996; _readIndexFilesStartMaxResidentSetSize=321376; _readIndexFilesStartMinorPageFaults=97894; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=600; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.94; _readIndexFilesEndUserTime=2.556301; _readIndexFilesEndSystemTime=0.39272599999999996; _readIndexFilesEndMaxResidentSetSize=321384; _readIndexFilesEndMinorPageFaults=97900; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=600; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956488 kB, VmSize: 1956488 kB, VmRSS: 321384 kB, VmData: 408436 kB, Mmaps: 1729, Mmaps: 1956492 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956744 kB, VmSize: 1956744 kB, VmRSS: 321384 kB, VmData: 408692 kB, Mmaps: 1729, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956744 kB, VmSize: 1956496 kB, VmRSS: 321632 kB, VmData: 408692 kB, Mmaps: 1716, Mmaps: 1956500 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00068100000000015
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.96; loadPixelBoxStartUserTime=2.57811; loadPixelBoxStartSystemTime=0.398625; loadPixelBoxStartMaxResidentSetSize=321736; loadPixelBoxStartMinorPageFaults=97988; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=128; loadPixelBoxStartBlockOutputs=608; loadPixelBoxStartVoluntaryContextSwitches=81; loadPixelBoxStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.96; loadSkyCircleStartUserTime=2.578557; loadSkyCircleStartSystemTime=0.398694; loadSkyCircleStartMaxResidentSetSize=321736; loadSkyCircleStartMinorPageFaults=97988; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=128; loadSkyCircleStartBlockOutputs=616; loadSkyCircleStartVoluntaryContextSwitches=81; loadSkyCircleStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.96; _readIndexFilesStartUserTime=2.578836; _readIndexFilesStartSystemTime=0.398737; _readIndexFilesStartMaxResidentSetSize=321736; _readIndexFilesStartMinorPageFaults=97988; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=616; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.96; _readIndexFilesEndUserTime=2.579035; _readIndexFilesEndSystemTime=0.398737; _readIndexFilesEndMaxResidentSetSize=321736; _readIndexFilesEndMinorPageFaults=97988; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=616; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.97; loadSkyCircleEndUserTime=2.5818440000000002; loadSkyCircleEndSystemTime=0.39874; loadSkyCircleEndMaxResidentSetSize=321736; loadSkyCircleEndMinorPageFaults=98193; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=128; loadSkyCircleEndBlockOutputs=616; loadSkyCircleEndVoluntaryContextSwitches=81; loadSkyCircleEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.97; loadPixelBoxEndUserTime=2.5879440000000002; loadPixelBoxEndSystemTime=0.39874; loadPixelBoxEndMaxResidentSetSize=321736; loadPixelBoxEndMinorPageFaults=98193; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=128; loadPixelBoxEndBlockOutputs=616; loadPixelBoxEndVoluntaryContextSwitches=81; loadPixelBoxEndInvoluntaryContextSwitches=152584
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.33; _readIndexFilesStartUserTime=2.9317219999999997; _readIndexFilesStartSystemTime=0.405854; _readIndexFilesStartMaxResidentSetSize=321736; _readIndexFilesStartMinorPageFaults=100471; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=624; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.33; _readIndexFilesEndUserTime=2.934941; _readIndexFilesEndSystemTime=0.405854; _readIndexFilesEndMaxResidentSetSize=321736; _readIndexFilesEndMinorPageFaults=100477; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=624; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956912 kB, VmSize: 1956744 kB, VmRSS: 321640 kB, VmData: 408692 kB, Mmaps: 1729, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956912 kB, VmSize: 1956744 kB, VmRSS: 321640 kB, VmData: 408692 kB, Mmaps: 1729, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956912 kB, VmSize: 1956496 kB, VmRSS: 321632 kB, VmData: 408692 kB, Mmaps: 1716, Mmaps: 1956500 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067899999999987
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.36; loadPixelBoxStartUserTime=2.958046; loadPixelBoxStartSystemTime=0.41075599999999995; loadPixelBoxStartMaxResidentSetSize=321736; loadPixelBoxStartMinorPageFaults=100501; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=128; loadPixelBoxStartBlockOutputs=632; loadPixelBoxStartVoluntaryContextSwitches=81; loadPixelBoxStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.36; loadSkyCircleStartUserTime=2.958494; loadSkyCircleStartSystemTime=0.41081799999999996; loadSkyCircleStartMaxResidentSetSize=321736; loadSkyCircleStartMinorPageFaults=100501; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=128; loadSkyCircleStartBlockOutputs=632; loadSkyCircleStartVoluntaryContextSwitches=81; loadSkyCircleStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.36; _readIndexFilesStartUserTime=2.958795; _readIndexFilesStartSystemTime=0.41085699999999997; _readIndexFilesStartMaxResidentSetSize=321736; _readIndexFilesStartMinorPageFaults=100501; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=632; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.36; _readIndexFilesEndUserTime=2.958978; _readIndexFilesEndSystemTime=0.41085699999999997; _readIndexFilesEndMaxResidentSetSize=321736; _readIndexFilesEndMinorPageFaults=100501; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=632; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.37; loadSkyCircleEndUserTime=2.96185; loadSkyCircleEndSystemTime=0.41085699999999997; loadSkyCircleEndMaxResidentSetSize=321736; loadSkyCircleEndMinorPageFaults=100706; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=128; loadSkyCircleEndBlockOutputs=632; loadSkyCircleEndVoluntaryContextSwitches=81; loadSkyCircleEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.37; loadPixelBoxEndUserTime=2.968023; loadPixelBoxEndSystemTime=0.41085699999999997; loadPixelBoxEndMaxResidentSetSize=321736; loadPixelBoxEndMinorPageFaults=100706; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=128; loadPixelBoxEndBlockOutputs=632; loadPixelBoxEndVoluntaryContextSwitches=81; loadPixelBoxEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.72; _readIndexFilesStartUserTime=3.315554; _readIndexFilesStartSystemTime=0.417935; _readIndexFilesStartMaxResidentSetSize=321736; _readIndexFilesStartMinorPageFaults=102984; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=640; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.73; _readIndexFilesEndUserTime=3.320267; _readIndexFilesEndSystemTime=0.417935; _readIndexFilesEndMaxResidentSetSize=321736; _readIndexFilesEndMinorPageFaults=102992; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=640; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956912 kB, VmSize: 1956868 kB, VmRSS: 321644 kB, VmData: 408692 kB, Mmaps: 1735, Mmaps: 1956872 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956912 kB, VmSize: 1956868 kB, VmRSS: 321644 kB, VmData: 408692 kB, Mmaps: 1735, Mmaps: 1956872 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956912 kB, VmSize: 1956496 kB, VmRSS: 321632 kB, VmData: 408692 kB, Mmaps: 1716, Mmaps: 1956500 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00071900000000014
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.76; loadPixelBoxStartUserTime=3.341115; loadPixelBoxStartSystemTime=0.42486999999999997; loadPixelBoxStartMaxResidentSetSize=321740; loadPixelBoxStartMinorPageFaults=103016; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=128; loadPixelBoxStartBlockOutputs=648; loadPixelBoxStartVoluntaryContextSwitches=81; loadPixelBoxStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.76; loadSkyCircleStartUserTime=3.341565; loadSkyCircleStartSystemTime=0.424927; loadSkyCircleStartMaxResidentSetSize=321740; loadSkyCircleStartMinorPageFaults=103016; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=128; loadSkyCircleStartBlockOutputs=648; loadSkyCircleStartVoluntaryContextSwitches=81; loadSkyCircleStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.76; _readIndexFilesStartUserTime=3.34192; _readIndexFilesStartSystemTime=0.424927; _readIndexFilesStartMaxResidentSetSize=321740; _readIndexFilesStartMinorPageFaults=103016; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=648; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.76; _readIndexFilesEndUserTime=3.342094; _readIndexFilesEndSystemTime=0.424927; _readIndexFilesEndMaxResidentSetSize=321740; _readIndexFilesEndMinorPageFaults=103016; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=648; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.76; loadSkyCircleEndUserTime=3.346321; loadSkyCircleEndSystemTime=0.424927; loadSkyCircleEndMaxResidentSetSize=321740; loadSkyCircleEndMinorPageFaults=103249; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=128; loadSkyCircleEndBlockOutputs=656; loadSkyCircleEndVoluntaryContextSwitches=81; loadSkyCircleEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.77; loadPixelBoxEndUserTime=3.35249; loadPixelBoxEndSystemTime=0.424927; loadPixelBoxEndMaxResidentSetSize=321740; loadPixelBoxEndMinorPageFaults=103249; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=128; loadPixelBoxEndBlockOutputs=656; loadPixelBoxEndVoluntaryContextSwitches=81; loadPixelBoxEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.12; _readIndexFilesStartUserTime=3.69545; _readIndexFilesStartSystemTime=0.432; _readIndexFilesStartMaxResidentSetSize=321740; _readIndexFilesStartMinorPageFaults=105527; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=656; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.12; _readIndexFilesEndUserTime=3.697087; _readIndexFilesEndSystemTime=0.432956; _readIndexFilesEndMaxResidentSetSize=321740; _readIndexFilesEndMinorPageFaults=105533; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=656; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1957036 kB, VmSize: 1956736 kB, VmRSS: 321640 kB, VmData: 408692 kB, Mmaps: 1729, Mmaps: 1956740 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1957036 kB, VmSize: 1956736 kB, VmRSS: 321640 kB, VmData: 408692 kB, Mmaps: 1729, Mmaps: 1956740 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1957036 kB, VmSize: 1956496 kB, VmRSS: 321632 kB, VmData: 408692 kB, Mmaps: 1716, Mmaps: 1956500 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00068799999999936
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.18; loadPixelBoxStartUserTime=3.741584; loadPixelBoxStartSystemTime=0.44000999999999996; loadPixelBoxStartMaxResidentSetSize=321740; loadPixelBoxStartMinorPageFaults=107838; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=128; loadPixelBoxStartBlockOutputs=664; loadPixelBoxStartVoluntaryContextSwitches=81; loadPixelBoxStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.18; loadSkyCircleStartUserTime=3.7421759999999997; loadSkyCircleStartSystemTime=0.44000999999999996; loadSkyCircleStartMaxResidentSetSize=321740; loadSkyCircleStartMinorPageFaults=107838; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=128; loadSkyCircleStartBlockOutputs=664; loadSkyCircleStartVoluntaryContextSwitches=81; loadSkyCircleStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.18; _readIndexFilesStartUserTime=3.742514; _readIndexFilesStartSystemTime=0.44000999999999996; _readIndexFilesStartMaxResidentSetSize=321740; _readIndexFilesStartMinorPageFaults=107838; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=672; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.18; _readIndexFilesEndUserTime=3.742715; _readIndexFilesEndSystemTime=0.44000999999999996; _readIndexFilesEndMaxResidentSetSize=321740; _readIndexFilesEndMinorPageFaults=107838; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=672; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.18; loadSkyCircleEndUserTime=3.745526; loadSkyCircleEndSystemTime=0.44000999999999996; loadSkyCircleEndMaxResidentSetSize=321740; loadSkyCircleEndMinorPageFaults=108067; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=128; loadSkyCircleEndBlockOutputs=672; loadSkyCircleEndVoluntaryContextSwitches=81; loadSkyCircleEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.19; loadPixelBoxEndUserTime=3.751717; loadPixelBoxEndSystemTime=0.44000999999999996; loadPixelBoxEndMaxResidentSetSize=321740; loadPixelBoxEndMinorPageFaults=108067; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=128; loadPixelBoxEndBlockOutputs=672; loadPixelBoxEndVoluntaryContextSwitches=81; loadPixelBoxEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.54; _readIndexFilesStartUserTime=4.099193; _readIndexFilesStartSystemTime=0.45003299999999996; _readIndexFilesStartMaxResidentSetSize=321740; _readIndexFilesStartMinorPageFaults=110345; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=672; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152585
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.76; _readIndexFilesEndUserTime=4.284124; _readIndexFilesEndSystemTime=0.48200099999999996; _readIndexFilesEndMaxResidentSetSize=380416; _readIndexFilesEndMinorPageFaults=125369; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=680; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152585
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2039360 kB, VmSize: 2039104 kB, VmRSS: 381480 kB, VmData: 467300 kB, Mmaps: 2922, Mmaps: 2039108 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2039764 kB, VmSize: 2039764 kB, VmRSS: 385700 kB, VmData: 467960 kB, Mmaps: 2922, Mmaps: 2039768 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2039764 kB, VmSize: 2015508 kB, VmRSS: 380476 kB, VmData: 467704 kB, Mmaps: 1717, Mmaps: 2015512 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0092759999999998
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+17/meas_extensions_astrometryNet-master-gb035c22750+17/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.84; loadPixelBoxStartUserTime=4.359994; loadPixelBoxStartSystemTime=0.497971; loadPixelBoxStartMaxResidentSetSize=385964; loadPixelBoxStartMinorPageFaults=126802; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=128; loadPixelBoxStartBlockOutputs=688; loadPixelBoxStartVoluntaryContextSwitches=81; loadPixelBoxStartInvoluntaryContextSwitches=152586
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.85; loadSkyCircleStartUserTime=4.360539; loadSkyCircleStartSystemTime=0.498033; loadSkyCircleStartMaxResidentSetSize=385964; loadSkyCircleStartMinorPageFaults=126802; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=128; loadSkyCircleStartBlockOutputs=688; loadSkyCircleStartVoluntaryContextSwitches=81; loadSkyCircleStartInvoluntaryContextSwitches=152586
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.85; _readIndexFilesStartUserTime=4.360885; _readIndexFilesStartSystemTime=0.498033; _readIndexFilesStartMaxResidentSetSize=385964; _readIndexFilesStartMinorPageFaults=126802; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=128; _readIndexFilesStartBlockOutputs=688; _readIndexFilesStartVoluntaryContextSwitches=81; _readIndexFilesStartInvoluntaryContextSwitches=152586
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.85; _readIndexFilesEndUserTime=4.361061; _readIndexFilesEndSystemTime=0.498033; _readIndexFilesEndMaxResidentSetSize=385964; _readIndexFilesEndMinorPageFaults=126802; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=128; _readIndexFilesEndBlockOutputs=688; _readIndexFilesEndVoluntaryContextSwitches=81; _readIndexFilesEndInvoluntaryContextSwitches=152586
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.96; loadSkyCircleEndUserTime=4.466515; loadSkyCircleEndSystemTime=0.504042; loadSkyCircleEndMaxResidentSetSize=385964; loadSkyCircleEndMinorPageFaults=130100; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=128; loadSkyCircleEndBlockOutputs=688; loadSkyCircleEndVoluntaryContextSwitches=81; loadSkyCircleEndInvoluntaryContextSwitches=152586
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.98; loadPixelBoxEndUserTime=4.481569; loadPixelBoxEndSystemTime=0.504051; loadPixelBoxEndMaxResidentSetSize=385964; loadPixelBoxEndMinorPageFaults=130100; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=128; loadPixelBoxEndBlockOutputs=688; loadPixelBoxEndVoluntaryContextSwitches=81; loadPixelBoxEndInvoluntaryContextSwitches=152586
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.305s

OK
Mem0: Memory usage:
max rss: [0.32174, 'MB'] MB
VmPeak 1957036 kB
VmSize 1956496 kB
VmRSS 321632 kB
VmData 408692 kB
VmStk 164 kB
Number of mmaps: 1716
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.380416, 'MB'] MB
VmPeak 2038184 kB
VmSize 2038184 kB
VmRSS 380416 kB
VmData 466380 kB
VmStk 164 kB
Number of mmaps: 2921
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.385964, 'MB'] MB
VmPeak 2039764 kB
VmSize 2015508 kB
VmRSS 380476 kB
VmData 467704 kB
VmStk 164 kB
Number of mmaps: 1717
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.385964, 'MB'] MB
VmPeak 2039764 kB
VmSize 2015508 kB
VmRSS 380476 kB
VmData 467704 kB
VmStk 164 kB
Number of mmaps: 1717
None
FD3: 5
